# Get credential lists for SIP trunk

Return all the credential lists for a specified SIP trunk.

Endpoint: GET /v1/projects/{projectId}/trunks/{trunkId}/credentialLists
Version: 1.0.0
Security: Basic, OAuth2.0

## Security:

  - `Basic` (unknown)
    http basic

  - `OAuth2.0` (unknown)
    oauth2

## Path parameters:

  - `projectId` (string, required)
    The `projectId` is a required parameter you must include when making any API calls. You can find your project ID on your [Build dashboard](https://dashboard.sinch.com).

  - `trunkId` (string, required)
    The ID of the trunk that you want to work with

## Query parameters:

  - `page` (integer)
    The page you want to fetch, can set to 1 for first page, or omitted for first page

  - `size` (integer)
    The size of each page to fetch

  - `sort` (array)
    An array setting the sorting criteria in the format of `property,(ascending/descending)`

## Response 200:

  - `200` (unknown)
    OK

## Response 200 fields (application/json):

  - `credentialListIds` (array, required)

  - `totalItems` (integer)
    Total size of the result.
    Example: 10000

  - `pageNumber` (string)
    The token to be used for listing the next page
    Example: 1

  - `size` (integer)
    The number of items per page. default is 1000
    Example: 2000

